Summary:	A weather application for GNOME
Name:		gnome-weather
Version:	3.18.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-weather/3.18/%{name}-%{version}.tar.xz
# Source0-md5:	eb6832d8a6492d24171df681e1603da4
BuildRequires:	appstream-glib-devel
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.12
BuildRequires:	gdk-pixbuf2-devel
BuildRequires:	gettext-tools
BuildRequires:	gjs-devel >= 1.40.0
BuildRequires:	glib2-devel >= 1:2.36.0
BuildRequires:	gobject-introspection-devel >= 1.36.0
BuildRequires:	gtk+3-devel >= 3.12.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libgweather-devel >= 3.18.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires(post,postun):	glib2 >= 1:2.36.0
Requires(post,postun):	gtk-update-icon-cache
Requires:	gjs >= 1.40.0
Requires:	glib2 >= 1:2.36.0
Requires:	gtk+3 >= 3.12.0
Requires:	hicolor-icon-theme
Requires:	libgweather >= 3.18.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gnome-weather is a small application that allows you to monitor the
current weather conditions for your city, or anywhere in the world,
and to access updated forecasts provided by various internet services.

%prep
%setup -q

%build
%{__intltoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__automake}
%configure \
	GJS="/usr/bin/gjs" \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang org.gnome.Weather

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas
%update_icon_cache hicolor

%postun
%glib_compile_schemas
%update_icon_cache hicolor

%files -f org.gnome.Weather.lang
%defattr(644,root,root,755)
%doc NEWS
%attr(755,root,root) %{_bindir}/gnome-weather
%{_datadir}/appdata/org.gnome.Weather.Application.appdata.xml
%{_datadir}/dbus-1/services/org.gnome.Weather.Application.service
%{_datadir}/dbus-1/services/org.gnome.Weather.BackgroundService.service
%{_datadir}/gnome-shell/search-providers/org.gnome.Weather.Application.search-provider.ini
%{_datadir}/glib-2.0/schemas/org.gnome.Weather.Application.gschema.xml
%{_datadir}/org.gnome.Weather
%{_desktopdir}/org.gnome.Weather.Application.desktop
%{_iconsdir}/hicolor/*/*/org.gnome.Weather.Application.png
%{_iconsdir}/hicolor/symbolic/apps/org.gnome.Weather.Application-symbolic.svg
%changelog
* Mon Oct 12 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-weather.git;a=log;h=master

* Mon Oct 12 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 89cd511
- Update to 3.18.1

* Sun May 10 2015 Marcin Banasiak <marcin.banasiak@gmail.com> 73b30d6
- Update to 3.16.2.1

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> ba154ee
- updated gettext BR

* Sun Nov 02 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 210bece
- Update to 3.14.1

* Wed May 14 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 9ca9861
- Update to 3.12.1

* Mon Mar 31 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 03aeaa1
- Update md5

* Mon Mar 31 2014 Marcin Banasiak <marcin.banasiak@gmail.com> 4af9dd8
- Update to 3.12.0

* Sun Nov 03 2013 Jan Rękorajski <baggins@pld-linux.org> e2bc9a7
- release 3 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ff88672
- release 2 (by relup.sh)

* Sat Oct 19 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 814cbb9
- Update to 3.10.1

* Sun Sep 29 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 07f504c
- Update to 3.10.0

* Sun May 19 2013 Łukasz Kieś <kiesiu@pld-linux.org> 2d9b87e
- updated to 3.8.2

* Tue Apr 16 2013 Marcin Banasiak <marcin.banasiak@gmail.com> a28bc7a
- Update to 3.8.1

* Thu Mar 28 2013 Marcin Banasiak <marcin.banasiak@gmail.com> 03a7509
- Initial release

